package com.loveCoding.homework.j20250517;

/**
 * @author WanJl
 * @version 1.0
 * @title T14
 * @description
 * **14. 寻找第一个重复元素**
 * 要求：找出数组中第一个重复出现的元素（第二个重复的位置）
 * 示例输入：`{3, 7, 2, 5, 7, 3}`
 * 示例输出：7（第一个重复的是7，在索引1和4重复）
 * @create 2025/5/24
 */
public class T14 {
    public static void main(String[] args) {
        int[] arr={3, 7, 2, 2, 7, 3};
        int nJ=arr.length;
        int nI=0;
        for (int i = 0; i < arr.length; i++) {
            for (int j = i+1; j < arr.length; j++) {
                if (arr[i]==arr[j]){    //成立
                    if(nJ>j){
                        nJ=j;
                        nI=i;
                    }
                }
            }
        }
        System.out.println(arr[nJ]+"（第一个重复的是"+arr[nJ]+"，在索引"+nI+"和"+nJ+"重复）");
    }
}
